Bug 253462 - `ifdown eth1:1` executes `ifdown-routes eth1 eth1:1` and remove rules for both eth1:1 and eth1
`ifdown eth1:1` executes `ifdown-routes eth1 eth1:1` and remove rules for bot...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Lukáš Nykrýn
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2007-08-19 19:56 EDT by gmm20
Modified: 2013-03-20 09:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-03-20 09:31:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description gmm20 2007-08-19 19:56:58 EDT
Description of problem:

`ifdown eth1:1` 


`exec /etc/sysconfig/network-scripts/ifdown-eth ifcfg-eth1:1`


`/etc/sysconfig/network-scripts/ifdown-post ifcfg-eth1:1`


`/etc/sysconfig/network-scripts/ifdown-routes eth1 eth1:1`

and remove all rules for both eth1:1 and eth1. this is a bug,
because ISALIAS=yes and I am want down only interface eth1:1.

Version-Release number of selected component (if applicable):

at least 5.0, may be other versions too

How reproducible:


Steps to Reproduce:
1. create two ethernet connections eth0 and eth1 with IP from different networks
2. add two aliases eth0:1 and eth1:1
3. set GATEWAYDEV in /etc/sysconfig/network to eth0
4. in file /etc/sysconfig/networking-scrips/rule-eth1 write:

from $ETH1_1_IP table 81

from $ETH1_IP table 71

5. in file /etc/sysconfig/networking-scrips/route-eth1 write:
$ETH1_1_NET/24 dev eth1:1 src $ETH1_1_IP table 81
default via $ETH1_1_GATE table 81

$ETH1_NET/24 dev eth1 src $ETH1_IP table 71
default via $ETH1_GATE table 71

6. bring up all four interfaces and aliases, check all ip are acessible via ping

7. execute `ifdown eth1:1` and see what ip eth1 and eth1:1 is not acessible

8. execute `ip ru sh` and make sure what rules from rule-eth1 are deleted.

Actual results:

after `ifdown eth1:1` both eth1:1 and eth1 are not acessible from network.

Expected results:

expected results you cat see at eth0:1 and eth0 interfaces.
after `ifdown eth0:1` interface eth0 is acessible, 
because no files rule-eth0 and no rules deleted.

Additional info:

to recover interfaces eth1 and eth1:1 execute `ifdown eth1 ; ifup eth1`

also related bug exists when executing `eth1:1` - in result it executes

`/etc/sysconfig/network-scripts/ifup-routes eth1 eth1:1`

this is also bug, because `ifup-routes eth1` executes twice, for eth1 and eth1:1
and generates errors:

+ /etc/sysconfig/network-scripts/ifup-routes eth1 eth1:1
RTNETLINK answers: File exists
RTNETLINK answers: File exists
RTNETLINK answers: File exists
Comment 1 RHEL Product and Program Management 2012-09-18 13:40:25 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 2 Lukáš Nykrýn 2013-03-20 09:31:14 EDT
This behavior is probably incorrect, but I would rather not change this in current state of rhel5.

Note You need to log in before you can comment on or make changes to this bug.